VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBox.Scene.CameraNode Class Reference

Node containing camera. More...

Inheritance diagram for VisimBox.Scene.CameraNode:

List of all members.

## Public Member Functions
| CameraNode (System.Xml.XmlReader reader)
| CameraNode ()
| CameraNode (ICamera camera)
override void | CreateRenderBuffer ()
| Creates render buffer item.
override void | OnRender (RendererEventArgs args)
| Called by the renderer when rendering hiearchy of elements. Object must either perform complete render (set transformation, material and use direct rendering calls) or feed renderbuffer of the context with correct data.
override void | RenderGeometry (RendererEventArgs args)
| Feed geometry to the renderer (all other settings should be already set)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
void | ResourceDisposing (Resources.IResource resource)
bool | ResourceReplaced (Resources.IResource original, Resources.IResource newresource)
## Protected Member Functions
void | SetUp ()
override bool | PickNodeInternal (ref NodeIntersectionInfo intersinfo)
| Internal picking, expects ray already transformed!
override void | CopyData (Node targetNode)
## Properties
ICamera | Camera`[get]`
| Camera object.
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Node containing camera.

## Constructor & Destructor Documentation

VisimBox.Scene.CameraNode.CameraNode | ( | System.Xml.XmlReader | reader | ) |

VisimBox.Scene.CameraNode.CameraNode | ( |  | ) |

VisimBox.Scene.CameraNode.CameraNode | ( | ICamera | camera | ) |

## Member Function Documentation

override void VisimBox.Scene.CameraNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.CameraNode.CreateRenderBuffer | ( |  | ) | `[virtual]`

Creates render buffer item.

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.CameraNode.OnRender | ( | RendererEventArgs | args | ) | `[virtual]`

Called by the renderer when rendering hiearchy of elements. Object must either perform complete render (set transformation, material and use direct rendering calls) or feed renderbuffer of the context with correct data.

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Direct rendering should be done only in special cases in this call as it removes any rendering optimalizations performed on the render buffer. This is important especially for any objects using alpha transparency, which could create visual artefacts unless rendered in sorter back to front order.

Reimplemented from VisimBox.Scene.RenderableNode.

override bool VisimBox.Scene.CameraNode.PickNodeInternal | ( | ref NodeIntersectionInfo | intersinfo | ) | `[protected, virtual]`

Internal picking, expects ray already transformed!

Parameters:

  intersinfo |

Returns:

Reimplemented from VisimBox.Scene.RenderableNode.

override bool VisimBox.Scene.CameraNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.CameraNode.RenderGeometry | ( | RendererEventArgs | args | ) | `[virtual]`

Feed geometry to the renderer (all other settings should be already set)

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Used when rendering from the renderbuffer

Implements VisimBox.Scene.RenderableNode.

void VisimBox.Scene.CameraNode.ResourceDisposing | ( | Resources.IResource | resource | ) |

bool VisimBox.Scene.CameraNode.ResourceReplaced | ( | Resources.IResource | original,
|  | Resources.IResource | newresource
| ) |  |

void VisimBox.Scene.CameraNode.SetUp | ( |  | ) | `[protected]`

override void VisimBox.Scene.CameraNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.RenderableNode.

## Property Documentation

ICamera VisimBox.Scene.CameraNode.Camera`[get]`

Camera object.

override RenderFlags VisimBox.Scene.CameraNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.RenderableNode.

The documentation for this class was generated from the following file:

- CameraNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events